CREATE TABLE cso_oce_usrgrp_channels (
    USRGRP_CHANNEL_ID        NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DEPARTMENT               VARCHAR2(400) ,
    USER_GROUP               VARCHAR2(400)     NOT NULL,
    CHANNEL_NAME             VARCHAR2(1024)    NOT NULL,
    CHANNEL_ID               VARCHAR2(1024)    NOT NULL,
    CHANNEL_TOKEN            VARCHAR2(1024),
    SITE_CHANNEL             VARCHAR2(4)       NOT NULL,
    USRGRP_CHANNEL_ID        NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DEPARTMENT               VARCHAR2(400) ,
    USER_GROUP               VARCHAR2(400)     NOT NULL,
    CHANNEL_NAME             VARCHAR2(1024)    NOT NULL,
    CHANNEL_ID               VARCHAR2(1024)    NOT NULL,
    CHANNEL_TOKEN            VARCHAR2(1024),
    SITE_CHANNEL             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_oce_usrgrp_channels PRIMARY KEY (USRGRP_CHANNEL_ID, USRGRP_CHANNEL_ID)
);
